Method: networks.lineItems.creatives.batchDelete

Deletes a list of LineItemCreativeAssociation objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/creatives:batchDelete

Path parameters

Parameters
parent

string

Required. The parent resource where LineItemCreativeAssociations will be deleted. This request supports using the "-" character as a wildcard for resources that span across multiple LineItem parents. Format: networks/{networkCode}/lineItems/{lineItemId} Format: networks/{networkCode}/lineItems/-

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ]
}
Fields
names[]

string

Required. The names of the LineItemCreativeAssociation objects to delete. A maximum of 1000 objects can be deleted in a batch. Format: networks/{networkCode}/lineItems/{lineItemId}/creatives/{creativeId}

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.